summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHaelwenn (lanodan) Monnier <contact@hacktivis.me>2019-11-23 10:38:04 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2020-04-03 22:05:30 +0200
commitb5fc15f23efb24bb7bf1b4d6448ce798f034bf15 (patch)
treea43382011ee49cdd5a13feb9c328633eb90c2962 /dev-qt/qtdeclarative
parentdev-qt/qtwidgets: rename USE=gles2 to USE=gles2-only (diff)
downloadgentoo-b5fc15f23efb24bb7bf1b4d6448ce798f034bf15.tar.gz
gentoo-b5fc15f23efb24bb7bf1b4d6448ce798f034bf15.tar.bz2
gentoo-b5fc15f23efb24bb7bf1b4d6448ce798f034bf15.zip
dev-qt/qtdeclarative: rename USE=gles2 to USE=gles2-only
Signed-off-by: Haelwenn (lanodan) Monnier <contact@hacktivis.me> Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'dev-qt/qtdeclarative')
-rw-r--r--dev-qt/qtdeclarative/metadata.xml1
-rw-r--r--dev-qt/qtdeclarative/qtdeclarative-5.13.2-r2.ebuild (renamed from dev-qt/qtdeclarative/qtdeclarative-5.13.2-r1.ebuild)8
-rw-r--r--dev-qt/qtdeclarative/qtdeclarative-5.14.1-r2.ebuild (renamed from dev-qt/qtdeclarative/qtdeclarative-5.14.1-r1.ebuild)8
3 files changed, 8 insertions, 9 deletions
diff --git a/dev-qt/qtdeclarative/metadata.xml b/dev-qt/qtdeclarative/metadata.xml
index 9fc8265089e..b036c9a0afc 100644
--- a/dev-qt/qtdeclarative/metadata.xml
+++ b/dev-qt/qtdeclarative/metadata.xml
@@ -6,7 +6,6 @@
<name>Gentoo Qt Project</name>
</maintainer>
<use>
- <flag name="gles2">Use GLES 2.0 or later instead of full OpenGL</flag>
<flag name="localstorage">Build the LocalStorage import for QtQuick (requires QtSql)</flag>
<flag name="vulkan">Enable support for Vulkan</flag>
<flag name="widgets">Enable QtWidgets support</flag>
diff --git a/dev-qt/qtdeclarative/qtdeclarative-5.13.2-r1.ebuild b/dev-qt/qtdeclarative/qtdeclarative-5.13.2-r2.ebuild
index 73819b7074b..eefc20c74e4 100644
--- a/dev-qt/qtdeclarative/qtdeclarative-5.13.2-r1.ebuild
+++ b/dev-qt/qtdeclarative/qtdeclarative-5.13.2-r2.ebuild
@@ -11,17 +11,17 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="arm"
fi
-IUSE="gles2 +jit localstorage +widgets"
+IUSE="gles2-only +jit localstorage +widgets"
BDEPEND="${PYTHON_DEPS}"
-# qtgui[gles2=] is needed because of bug 504322
+# qtgui[gles2-only=] is needed because of bug 504322
DEPEND="
~dev-qt/qtcore-${PV}
- ~dev-qt/qtgui-${PV}[gles2=]
+ ~dev-qt/qtgui-${PV}[gles2-only=]
~dev-qt/qtnetwork-${PV}
~dev-qt/qttest-${PV}
localstorage? ( ~dev-qt/qtsql-${PV} )
- widgets? ( ~dev-qt/qtwidgets-${PV}[gles2=] )
+ widgets? ( ~dev-qt/qtwidgets-${PV}[gles2-only=] )
"
RDEPEND="${DEPEND}
!<dev-qt/qtquickcontrols-5.7:5
diff --git a/dev-qt/qtdeclarative/qtdeclarative-5.14.1-r1.ebuild b/dev-qt/qtdeclarative/qtdeclarative-5.14.1-r2.ebuild
index bd2127cde97..8aff110ecb6 100644
--- a/dev-qt/qtdeclarative/qtdeclarative-5.14.1-r1.ebuild
+++ b/dev-qt/qtdeclarative/qtdeclarative-5.14.1-r2.ebuild
@@ -11,17 +11,17 @@ if [[ ${QT5_BUILD_TYPE} == release ]]; then
KEYWORDS="amd64 ~arm arm64 ~hppa ppc ppc64 x86"
fi
-IUSE="gles2 +jit localstorage vulkan +widgets"
+IUSE="gles2-only +jit localstorage vulkan +widgets"
BDEPEND="${PYTHON_DEPS}"
-# qtgui[gles2=] is needed because of bug 504322
+# qtgui[gles2-only=] is needed because of bug 504322
DEPEND="
~dev-qt/qtcore-${PV}
- ~dev-qt/qtgui-${PV}[gles2=,vulkan=]
+ ~dev-qt/qtgui-${PV}[gles2-only=,vulkan=]
~dev-qt/qtnetwork-${PV}
~dev-qt/qttest-${PV}
localstorage? ( ~dev-qt/qtsql-${PV} )
- widgets? ( ~dev-qt/qtwidgets-${PV}[gles2=] )
+ widgets? ( ~dev-qt/qtwidgets-${PV}[gles2-only=] )
"
RDEPEND="${DEPEND}
!<dev-qt/qtquickcontrols-5.7:5